# Generated by Django 5.0.3 on 2024-03-17 22:06

import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='GeneralConfig',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('reserved_app_names', models.CharField(blank=True, max_length=5000, null=True, validators=[django.core.validators.RegexValidator(code='invalid_format', message='Invalid format for reserved app names.', regex='^[a-z][a-z0-9]{2,15}(,[a-z][a-z0-9]{2,15})*$')])),
            ],
        ),
    ]
